package com.sqx.modules.course.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.course.entity.CourseUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CourseUserDao extends BaseMapper<CourseUser> {
    /**
     * 查询用户是否订购
     *
     * @param id
     * @param userId
     * @return
     */
    CourseUser selectCourseUser(@Param("id") Long id, @Param("userId") Long userId);

    List<CourseUser> selectCourseUserList(@Param("id") Long id, @Param("userId") Long userId);

    /**
     * 修改时间
     *
     * @param courseUser
     * @return
     */
    int updateCourseTime(@Param("courseUser") CourseUser courseUser);

    int deleteCourseUserByVipUser(Long userId);

}
